package com.bstek.dorado.sample;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;

import com.bstek.dorado.web.resolver.AbstractResolver;

public class UploadResolver extends AbstractResolver {

	@Override
	protected ModelAndView doHandleRequest(HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		if (request instanceof MultipartHttpServletRequest) {
			MultipartHttpServletRequest multiPartReq = (MultipartHttpServletRequest) request;

			MultipartFile file = multiPartReq.getFile("file");
			String name = file.getOriginalFilename();

			OutputStream out = null;
			InputStream in = null;
			try {
				out = new FileOutputStream(new File("d:/test", name));

				in = file.getInputStream();
				byte[] buf = new byte[2048];
				int len;
				while ((len = in.read(buf)) != -1) {
					out.write(buf, 0, len);
				}
			} catch (Exception e) {
				response.getWriter().print("文件存储失败:"+e.getMessage());
			} finally {
				in.close();
				out.close();
			}
			response.getWriter().print("文件上传成功!");
		}
		return null;
	}

}
